Subject: Re: [PATCH net-next] selftests: drv-net: port_split: convert to ksft format and mark disruptive

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Feb 2026 18:02:17 -0800

On Mon, 9 Feb 2026 09:54:08 +0000 Danielle Ratson wrote:
> Few comments:
> 
> 1. Before the change we simply ran the test without extra info, like
> that: $ ./devlink_port_split.py
> 
> Now the new infrastructure requires to run with:
> $ NETIF=swp1 ./devlink_port_split.py
> 
> While swp1 is an example for some interface in the machine using to
> indicate the real target device.
> 
> Otherwise, the test fails- if no NETIF is configured, the framework
> defaults to netdevsim (SW mode), and since the test sets
> 'nsim_test=False', it emits an error. So the new change, breaks the
> way the test was running by now.
> 
> However, I managed to work around that by adding a configuration file
> to the selftests dir:
> 
> $ cat drivers/net/hw/net.config
> NETIF=swp1
> 
> 2. The test fails for waiting for the carrier to come up. But
> actually, we should skip the carrier check. The port split test
> doesn't require carrier to be up since it's only testing port
> configuration (split/unsplit) functionality, not the data path.
> 
> I tried to run it while overriding the NetDrvEnv __enter__ method to
> bring the interface up without waiting for carrier:

Hm, I think we can risk removing the carrier wait for NetDrvEnv.
Only the "endpoint" env (NetDrvEpEnv) should really depend on the NIC
being able to send and receive packets. I guess I added the carrier
wait to the base class to save LoC.

Thanks a lot for trying it out! I'll send a v2 after the merge window.